Bug 994464 - SELinux is preventing /usr/bin/totem-video-thumbnailer from 'getattr' accesses on the unix_stream_socket unix_stream_socket.
SELinux is preventing /usr/bin/totem-video-thumbnailer from 'getattr' accesse...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:3360feda9363e556b3afaa44d19...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-07 06:50 EDT by Kamil Páral
Modified: 2013-08-21 20:53 EDT (History)
6 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-71.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-21 20:53:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kamil Páral 2013-08-07 06:50:41 EDT
Description of problem:
I opened up Nautilus and there were some video files which were being encoded at that time by gtk-recordmydesktop.
SELinux is preventing /usr/bin/totem-video-thumbnailer from 'getattr' accesses on the unix_stream_socket unix_stream_socket.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that totem-video-thumbnailer should be allowed getattr access on the unix_stream_socket unix_stream_socket by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep totem-video-thu /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
Target Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Objects                unix_stream_socket [ unix_stream_socket ]
Source                        totem-video-thu
Source Path                   /usr/bin/totem-video-thumbnailer
Port                          <Neznámé>
Host                          (removed)
Source RPM Packages           totem-3.8.2-1.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-66.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.10.4-300.fc19.x86_64 #1 SMP Tue
                              Jul 30 11:29:05 UTC 2013 x86_64 x86_64
Alert Count                   2
First Seen                    2013-08-05 21:19:10 CEST
Last Seen                     2013-08-07 12:49:21 CEST
Local ID                      4ccd5852-fd73-4ec5-a17a-ff80fbb011f6

Raw Audit Messages
type=AVC msg=audit(1375872561.48:355): avc:  denied  { getattr } for  pid=9252 comm="totem-video-thu" path="socket:[26152]" dev="sockfs" ino=26152 scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=unix_stream_socket


type=SYSCALL msg=audit(1375872561.48:355): arch=x86_64 syscall=fstat success=yes exit=0 a0=1 a1=7ffff0f624a0 a2=7ffff0f624a0 a3=1 items=0 ppid=9230 pid=9252 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=1 tty=(none) comm=totem-video-thu exe=/usr/bin/totem-video-thumbnailer subj=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 key=(null)

Hash: totem-video-thu,thumb_t,unconfined_t,unix_stream_socket,getattr

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.10.4-300.fc19.x86_64
type:           libreport
Comment 1 Miroslav Grepl 2013-08-08 08:18:07 EDT
Dan added fixes which has been back ported.
Comment 2 Daniel Demus 2013-08-15 10:02:50 EDT
Description of problem:
Using nautilus. Nautilus would hang with "Loading..." when changing directories

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.10.6-200.fc19.x86_64
type:           libreport
Comment 3 Daniel Demus 2013-08-16 07:18:18 EDT
Description of problem:
Happens while using nautilus on an MTP mountpoint

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.10.6-200.fc19.x86_64
type:           libreport
Comment 4 Fedora Update System 2013-08-20 04:26:32 EDT
selinux-policy-3.12.1-71.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-71.fc19
Comment 5 Fedora Update System 2013-08-20 20:15:35 EDT
Package selinux-policy-3.12.1-71.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-71.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15088/selinux-policy-3.12.1-71.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-08-21 20:53:27 EDT
selinux-policy-3.12.1-71.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.